Skip to main content
PATCH
/
workflows
/
usage
/
{id}
Update a workflow integrations options
curl --request PATCH \
  --url https://api.reelevant.com/v2/workflows/usage/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "integrationOptions": [
    {
      "type": "email",
      "parameters": {},
      "entrypointId": "<string>"
    }
  ],
  "variableProfileId": "<string>"
}
'
{
  "status": "success",
  "program": "<string>",
  "version": "<string>",
  "datetime": "<string>",
  "message": "<string>",
  "data": {
    "integrationOptions": [
      {
        "type": "email",
        "parameters": {},
        "entrypointId": "<string>"
      }
    ],
    "variableProfileId": "<string>"
  },
  "code": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required
Pattern: ^[0-9a-fA-F]{24}$

Body

application/json
integrationOptions
object[]
variableProfileId
string

Variable profile id let frontend pre-select profile

Response

Ok

status
enum<string>
required
Available options:
success
program
string
required
version
string
required
datetime
string
required
message
string
required
data
object
required
code
number